#
# spec file for package compton-conf
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           compton-conf
Version:        0.1.0
Release:        7.3
Summary:        Compositor Configuration
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/LXDE-Qt
Url:            http://www.lxde.org
Source:         %{name}-%{version}.tar.xz
Patch0:         %{name}-0.1.0-fix_desktop_file.patch
Patch1:         %{name}-qt5-support.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(Qt5UiTools)
Requires:       compton
Requires(pre):	desktop-file-utils
Requires(post):	desktop-file-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
X composite manager configuration for compton

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
mkdir build
pushd build
cmake \
      -DUSE_QT5=ON \
      -DCMAKE_INSTALL_PREFIX:PATH=/usr \
      ..
%__make %{_smp_mflags}
popd

%install
pushd build
make DESTDIR=$RPM_BUILD_ROOT install 
popd

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/compton-conf
%{_datadir}/applications/*.desktop
%{_datadir}/compton-conf

%changelog
* Sun Jan 25 2015 sfalken@opensuse.org
- Added conditionals to build for Fedora
* Sun Oct 26 2014 andrea@opensuse.org
- ported to QT5
* Tue May 13 2014 andrea@opensuse.org
- use pkgconfig buildrequires where possible
* Sun May 11 2014 andrea@opensuse.org
- spec file clean up, removed unused  buildrequires
- merged fedora spec file using buildservice cross distro support
* Sun May 11 2014 sfalken@opensuse.org
- Changed BuildRequires: pkgconfig entries for libqt4 to single
  Buildrequires: libqt4-devel at request of X11:lxde maintainers
* Sat May 10 2014 sfalken@opensuse.org
- Ran spec-cleaner on spec-file.
* Sat May 10 2014 sfalken@opensuse.org
- Removed CentOS specfile.  Base is too old to build, and I'm too lazy to fix it.
  Del:  compton-conf-CentOS_CentOS-6.spec
* Sat May 10 2014 sfalken@opensuse.org
- Added specfile for CentOS-6
  Add:  compton-conf-CentOS_CentOS-6.spec
* Fri May  9 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add:  compton-conf-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Reintroduced desktop file patch
  Add:  0001-fix_desktop_file.patch
* Fri May  9 2014 sfalken@opensuse.org
- Removed desktop file patch (upstream fixes)
  Del:  0001-fix_desktop_file.patch
* Fri May  9 2014 sfalken@opensuse.org
- Added tarball for new stable release
  Add:  compton-conf-0.1.0.tar.xz
  Del:  _service
* Thu Apr 17 2014 sfalken@opensuse.org
- Removed explicit Requires: for libconfig and libqt
  Updated:  0001-fix_desktop_file.patch
* Fri Apr  4 2014 sfalken@opensuse.org
- Added patch to correct .desktop file
  Add: 0001-fix_desktop_file.patch
* Fri Apr  4 2014 sfalken@opensuse.org
- Initial Source Upload
  Add: _service
  Add: compton-conf.spec
  Add: compton-conf.changes
